Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ff50::/16
First address
ff50::
Last address
ff50:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ff50:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
0.5.f.f.ip6.arpa
Split into smaller subnets/24

ff50::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1ff50::/24ff50:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ff50:100::/24ff50:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ff50:200::/24ff50:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ff50:300::/24ff50:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ff50:400::/24ff50:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ff50:500::/24ff50:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ff50:600::/24ff50:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ff50:700::/24ff50:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ff50:800::/24ff50:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ff50:900::/24ff50:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ff50:a00::/24ff50:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ff50:b00::/24ff50:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ff50:c00::/24ff50:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ff50:d00::/24ff50:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ff50:e00::/24ff50:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ff50:f00::/24ff50:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ff50:1000::/24ff50:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ff50:1100::/24ff50:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ff50:1200::/24ff50:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ff50:1300::/24ff50:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ff50:1400::/24ff50:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ff50:1500::/24ff50:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ff50:1600::/24ff50:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ff50:1700::/24ff50:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ff50:1800::/24ff50:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ff50:1900::/24ff50:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ff50:1a00::/24ff50:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ff50:1b00::/24ff50:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ff50:1c00::/24ff50:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ff50:1d00::/24ff50:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ff50:1e00::/24ff50:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ff50:1f00::/24ff50:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ff50:2000::/24ff50:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ff50:2100::/24ff50:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ff50:2200::/24ff50:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ff50:2300::/24ff50:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ff50:2400::/24ff50:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ff50:2500::/24ff50:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ff50:2600::/24ff50:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ff50:2700::/24ff50:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ff50:2800::/24ff50:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ff50:2900::/24ff50:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ff50:2a00::/24ff50:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ff50:2b00::/24ff50:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ff50:2c00::/24ff50:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ff50:2d00::/24ff50:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ff50:2e00::/24ff50:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ff50:2f00::/24ff50:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ff50:3000::/24ff50:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ff50:3100::/24ff50:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ff50:3200::/24ff50:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ff50:3300::/24ff50:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ff50:3400::/24ff50:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ff50:3500::/24ff50:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ff50:3600::/24ff50:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ff50:3700::/24ff50:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ff50:3800::/24ff50:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ff50:3900::/24ff50:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ff50:3a00::/24ff50:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ff50:3b00::/24ff50:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ff50:3c00::/24ff50:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ff50:3d00::/24ff50:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ff50:3e00::/24ff50:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ff50:3f00::/24ff50:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ff50:4000::/24ff50:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ff50:4100::/24ff50:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ff50:4200::/24ff50:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ff50:4300::/24ff50:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ff50:4400::/24ff50:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ff50:4500::/24ff50:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ff50:4600::/24ff50:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ff50:4700::/24ff50:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ff50:4800::/24ff50:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ff50:4900::/24ff50:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ff50:4a00::/24ff50:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ff50:4b00::/24ff50:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ff50:4c00::/24ff50:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ff50:4d00::/24ff50:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ff50:4e00::/24ff50:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ff50:4f00::/24ff50:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ff50:5000::/24ff50:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ff50:5100::/24ff50:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ff50:5200::/24ff50:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ff50:5300::/24ff50:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ff50:5400::/24ff50:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ff50:5500::/24ff50:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ff50:5600::/24ff50:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ff50:5700::/24ff50:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ff50:5800::/24ff50:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ff50:5900::/24ff50:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ff50:5a00::/24ff50:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ff50:5b00::/24ff50:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ff50:5c00::/24ff50:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ff50:5d00::/24ff50:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ff50:5e00::/24ff50:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ff50:5f00::/24ff50:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ff50:6000::/24ff50:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ff50:6100::/24ff50:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ff50:6200::/24ff50:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ff50:6300::/24ff50:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ff50:6400::/24ff50:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ff50:6500::/24ff50:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ff50:6600::/24ff50:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ff50:6700::/24ff50:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ff50:6800::/24ff50:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ff50:6900::/24ff50:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ff50:6a00::/24ff50:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ff50:6b00::/24ff50:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ff50:6c00::/24ff50:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ff50:6d00::/24ff50:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ff50:6e00::/24ff50:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ff50:6f00::/24ff50:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ff50:7000::/24ff50:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ff50:7100::/24ff50:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ff50:7200::/24ff50:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ff50:7300::/24ff50:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ff50:7400::/24ff50:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ff50:7500::/24ff50:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ff50:7600::/24ff50:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ff50:7700::/24ff50:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ff50:7800::/24ff50:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ff50:7900::/24ff50:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ff50:7a00::/24ff50:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ff50:7b00::/24ff50:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ff50:7c00::/24ff50:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ff50:7d00::/24ff50:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ff50:7e00::/24ff50:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ff50:7f00::/24ff50:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ff50:8000::/24ff50:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ff50:8100::/24ff50:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ff50:8200::/24ff50:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ff50:8300::/24ff50:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ff50:8400::/24ff50:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ff50:8500::/24ff50:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ff50:8600::/24ff50:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ff50:8700::/24ff50:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ff50:8800::/24ff50:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ff50:8900::/24ff50:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ff50:8a00::/24ff50:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ff50:8b00::/24ff50:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ff50:8c00::/24ff50:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ff50:8d00::/24ff50:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ff50:8e00::/24ff50:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ff50:8f00::/24ff50:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ff50:9000::/24ff50:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ff50:9100::/24ff50:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ff50:9200::/24ff50:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ff50:9300::/24ff50:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ff50:9400::/24ff50:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ff50:9500::/24ff50:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ff50:9600::/24ff50:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ff50:9700::/24ff50:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ff50:9800::/24ff50:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ff50:9900::/24ff50:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ff50:9a00::/24ff50:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ff50:9b00::/24ff50:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ff50:9c00::/24ff50:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ff50:9d00::/24ff50:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ff50:9e00::/24ff50:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ff50:9f00::/24ff50:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ff50:a000::/24ff50:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ff50:a100::/24ff50:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ff50:a200::/24ff50:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ff50:a300::/24ff50:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ff50:a400::/24ff50:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ff50:a500::/24ff50:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ff50:a600::/24ff50:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ff50:a700::/24ff50:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ff50:a800::/24ff50:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ff50:a900::/24ff50:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ff50:aa00::/24ff50:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ff50:ab00::/24ff50:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ff50:ac00::/24ff50:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ff50:ad00::/24ff50:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ff50:ae00::/24ff50:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ff50:af00::/24ff50:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ff50:b000::/24ff50:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ff50:b100::/24ff50:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ff50:b200::/24ff50:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ff50:b300::/24ff50:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ff50:b400::/24ff50:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ff50:b500::/24ff50:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ff50:b600::/24ff50:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ff50:b700::/24ff50:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ff50:b800::/24ff50:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ff50:b900::/24ff50:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ff50:ba00::/24ff50:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ff50:bb00::/24ff50:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ff50:bc00::/24ff50:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ff50:bd00::/24ff50:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ff50:be00::/24ff50:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ff50:bf00::/24ff50:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ff50:c000::/24ff50:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ff50:c100::/24ff50:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ff50:c200::/24ff50:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ff50:c300::/24ff50:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ff50:c400::/24ff50:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ff50:c500::/24ff50:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ff50:c600::/24ff50:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ff50:c700::/24ff50:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ff50:c800::/24ff50:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ff50:c900::/24ff50:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ff50:ca00::/24ff50:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ff50:cb00::/24ff50:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ff50:cc00::/24ff50:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ff50:cd00::/24ff50:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ff50:ce00::/24ff50:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ff50:cf00::/24ff50:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ff50:d000::/24ff50:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ff50:d100::/24ff50:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ff50:d200::/24ff50:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ff50:d300::/24ff50:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ff50:d400::/24ff50:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ff50:d500::/24ff50:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ff50:d600::/24ff50:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ff50:d700::/24ff50:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ff50:d800::/24ff50:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ff50:d900::/24ff50:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ff50:da00::/24ff50:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ff50:db00::/24ff50:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ff50:dc00::/24ff50:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ff50:dd00::/24ff50:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ff50:de00::/24ff50:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ff50:df00::/24ff50:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ff50:e000::/24ff50:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ff50:e100::/24ff50:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ff50:e200::/24ff50:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ff50:e300::/24ff50:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ff50:e400::/24ff50:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ff50:e500::/24ff50:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ff50:e600::/24ff50:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ff50:e700::/24ff50:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ff50:e800::/24ff50:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ff50:e900::/24ff50:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ff50:ea00::/24ff50:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ff50:eb00::/24ff50:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ff50:ec00::/24ff50:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ff50:ed00::/24ff50:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ff50:ee00::/24ff50:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ff50:ef00::/24ff50:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ff50:f000::/24ff50:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ff50:f100::/24ff50:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ff50:f200::/24ff50:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ff50:f300::/24ff50:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ff50:f400::/24ff50:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ff50:f500::/24ff50:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ff50:f600::/24ff50:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ff50:f700::/24ff50:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ff50:f800::/24ff50:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ff50:f900::/24ff50:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ff50:fa00::/24ff50:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ff50:fb00::/24ff50:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ff50:fc00::/24ff50:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ff50:fd00::/24ff50:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ff50:fe00::/24ff50:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ff50:ff00::/24ff50:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses